---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: dst-client
  labels:
    app: dst-client
  namespace: prod
spec:
  replicas: 1
  revisionHistoryLimit: 1
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 0
  selector:
    matchLabels:
      app: dst-client
  template:
    metadata:
      labels:
        app: dst-client
    spec:
      containers:
      - name: dst-client
        image: _IMAGE_NAME_:_VERSION_
        command: ["dotnet"]
        args: ["DeStream.DeStreamD.dll"]
        ports:
        - name: dst-client
          containerPort: 5000
        volumeMounts:
        - name: pv-dst-client
          mountPath: /root/.destreamnode/destream/DeStreamMain
        - name: dst-client-config
          mountPath: /root/.destreamnode/destream/DeStreamMain/destream.conf
          subPath: destream.conf
      nodeName: node3
      volumes:
      - name: pv-dst-client
        persistentVolumeClaim:
          claimName: pv-dst-client-claim
      - name: dst-client-config
        configMap:
          name: destreamconf
